Package org.drinkless.tdlib

# Class TdApi.AddContact

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AddContact

Enclosing class:
  TdApi

public static class TdApi.AddContact extends TdApi.Function<TdApi.Ok>
Adds a user to the contact list or edits an existing contact by their user identifier.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Contact`
  `contact`
  The contact to add or edit; phone number may be empty and needs to be specified only if known, vCard is ignored.
  `boolean`
  `sharePhoneNumber`
  Pass true to share the current user's phone number with the new contact.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddContact()`
  Default constructor for a function, which adds a user to the contact list or edits an existing contact by their user identifier.
  `AddContact(TdApi.Contact contact, boolean sharePhoneNumber)`
  Creates a function, which adds a user to the contact list or edits an existing contact by their user identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### contact

    public TdApi.Contact contact
    The contact to add or edit; phone number may be empty and needs to be specified only if known, vCard is ignored.

  - ### sharePhoneNumber

    public boolean sharePhoneNumber
    Pass true to share the current user's phone number with the new contact. A corresponding rule to userPrivacySettingShowPhoneNumber will be added if needed. Use the field userFullInfo.needPhoneNumberPrivacyException to check whether the current user needs to be asked to share their phone number.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddContact

    public AddContact()
    Default constructor for a function, which adds a user to the contact list or edits an existing contact by their user identifier.

    Returns `Ok`

  - ### AddContact

    public AddContact(TdApi.Contact contact, boolean sharePhoneNumber)
    Creates a function, which adds a user to the contact list or edits an existing contact by their user identifier.

    Returns `Ok`

    Parameters:
      `contact` - The contact to add or edit; phone number may be empty and needs to be specified only if known, vCard is ignored.
      `sharePhoneNumber` - Pass true to share the current user's phone number with the new contact. A corresponding rule to userPrivacySettingShowPhoneNumber will be added if needed. Use the field userFullInfo.needPhoneNumberPrivacyException to check whether the current user needs to be asked to share their phone number.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR